capture log close
set more off
log using fitstatverify6, replace
* fitstat:      version 1.6.3 12/12/00
* verified:     2/22/01
which fitstat

* compute fit statistics for a single model and look at r() results
use binlfp2, clear
logit lfp k5 k618 age wc hc lwg inc, nolog
fitstat
di "AIC:                    " r(aic)
di "AIC*N:                  " r(aic_n)
di "BIC:                    " r(bic)
di "BIC':                   " r(bic_p)
di "deviance:               " r(dev)
di "df deviance:            " r(dev_df)
di "ll full model:          " r(ll)
di "ll intercept:           " r(ll_0)
di "lr chi-square:          " r(lrx2)
di "  df:                   " r(lrx2_df)
di "  prob: :               " r(lrx2_p)
di "# of obs:               " r(N)
di "# of parameters:        " r(n_parm)
di "# of rhs variables:     " r(n_rhs)
di "R^2 for LRM:            " r(r2)
di "adjusted R^2 for LRM:   " r(r2_adj)
di "count R^2:              " r(r2_ct)
di "adjusted count R^2:     " r(r2_ctadj)
di "Cragg & Uhler's R^2:    " r(r2_cu)
di "Efron's R^2:            " r(r2_ef)
di "M & Z's R^2:            " r(r2_mz)
di "McFadden's R^2:         " r(r2_mf)
di "McFadden's adj R^2:     " r(r2_mfadj)
di "maximum likelihood R^2: " r(r2_ml)
di "variance of error term: " r(v_error)
di "variance of y*:         " r(v_ystar)

* compute  fit statistics for a single model and save fit measures
logit lfp k5 k618 age wc hc lwg inc, nolog
fitstat, saving(mod1)
mat list fs_mod1

* compare saved model to current model
gen age2 = age*age
logit lfp k5 age age2 wc inc, nolog
fitstat, using(mod1) saving(mod2)
mat list fs_mod2

* compare models with bic statistics
logit lfp k5 age age2 wc inc, nolog
fitstat, using(mod1) bic

* use force to compare different types of models
logit lfp k5 k618 age wc hc lwg inc, nolog
fitstat, saving(mod1)
probit lfp k5 age age2 wc inc, nolog
fitstat, using(mod1) saving(mod2) force

* use force to compare different N's
logit lfp k5 k618 age wc hc lwg inc, nolog
fitstat, saving(mod1)
logit lfp k5 age age2 wc inc if k5<3, nolog
fitstat, using(mod1) saving(mod2) force

log close
