capture log close
set matsize 500
set more off
log using mlogplotverify, replace text
  version 7
* mlogplot 1.6.1 - test programs - 11/20/00
  which mlogplot
* RM4CLDVs Page 168: Figure 6.1 - Discrete Change Plot
  use nomocc2,clear
  mlogit occ white ed exper, basecategory(1) nolog
  prchange
  mlogplot white ed exper, dc std(0ss) p(.1) min(-.25) max(.50) ntics(7)
  translate @Graph mlogplotfig1.wmf, t(Graph2wmf) replace
  * gphprint, nologo saving(mlogplotfig1.wmf,replace)
* RM4CLDVs Page 175: Figure 6.4 - Odds Ratio Plot
  mlogplot white ed exper, or std(0ss) p(.1) min(-2.75) max(.55) ntics(7)
  translate @Graph mlogplotfig2.wmf, t(Graph2wmf) replace
  * gphprint, nologo saving(mlogplotfig2.wmf,replace)
* RM4CLDVs Page 176: Figure 6.5 - Odds Ratio Plot with Discrete Change
  mlogplot white ed exper, or dc std(0ss) p(.1) min(-2.75) max(.55) ntics(7)
  translate @Graph mlogplotfig3.wmf, t(Graph2wmf) replace
  * gphprint, nologo saving(mlogplotfig3.wmf,replace)
* RM4CLDVs Page 178: Figure 6.6 - Odds Ratio Plot with Discrete Change
  use ordwarm2, clear
  label def lw 1 1SD 2 2D 3 3A 4 4SA
  label val warm lw
  mlogit warm-prst, nolog
  prchange
  mlogplot yr89 male age ed, or dc std(00ss) b(1) p(.1) /*
  */ min(-1.5) max(1.5) ntics(7)
  translate @Graph mlogplotfig4.wmf, t(Graph2wmf) replace
  * gphprint, nologo saving(mlogplotfig4.wmf,replace)
* mlogplot using matrix input
  matrix mnlbeta = (-.693, .693, .347 \ .347, -.347, .693 )
  matrix mnlsd   = (1, 2, 4)
  global mnlname = "x1 x2 x3"
  global mnlrefn = 3
  global mnlcatnm = "B C A"
  mlogplot, matrix std(uuu) vars(x1 x2 x3)
  mlogplot, matrix std(uuu) vars(x1 x2 x3) packed
  translate @Graph mlogplotfig4.wmf, t(Graph2wmf) replace
  * gphprint, nologo saving(mlogplotfig4.wmf,replace)
* mlogplot using two sets of results computed from:
*> use nomocc2, clear
*> sum ed exper
*> mlogit occ ed exper if white==1,basecategory(5) nolog
*> mlogit occ ed exper if white==0,basecategory(5) nolog
  matrix mnlsd = (2.946427, 13.95936, 2.946427, 13.95936)
  global mnlname = "W_Educ W_Exper NW_Educ NW_Exper"
  global mnlrefn = 5
  global mnlcatnm = "Menial BlueC Craft WhiteC Prof"
  matrix mnlbeta = (-.83075, -.92255, -.68761, -.41964 \ /*
  */                -.03380, -.03145, -.00026,  .00085 \ /*
  */                -.70126, -.56070, -.88250, -.53115 \ /*
  */                -.11084, -.02611, -.15979, -.05209 )
  matrix mnlbeta = mnlbeta'
  mlogplot, vars(W_Educ NW_Educ W_Exper NW_Exper) matrix /*
  */ std(ssss) note("Effects of Education")
  translate @Graph mlogplotfig5.wmf, t(Graph2wmf) replace
  * gphprint, nologo saving(mlogplotfig5.wmf,replace)
* Test of categories that have gaps
  use nomocc2,clear
  mlogit occ white ed exper, basecategory(1) nolog
  prchange
  mlogplot white ed exper, dc std(0ss) p(.1) min(-.25) max(.50) ntics(7)
  translate @Graph mlogplotfig6.wmf, t(Graph2wmf) replace
  gen o1 = occ
  recode o1 5=9 4=7 3=5 2=3 1=2
  mlogit o1 white ed exper, basecategory(2) nolog
  prchange
  mlogplot white ed exper, dc std(0ss) p(.1) min(-.25) max(.50) ntics(7)
  mlogplot white ed exper, or dc std(0ss) p(.1) /*
  */ base(-1) min(-.25) max(.50) ntics(7)
* illustration of dcadd() option
  use nomocc2,clear
  mlogit occ white ed exper, basecategory(1) nolog
  prchange
  mlogplot white ed exper, or dc std(0ss) p(.1) /*
  */ min(-2.75) max(.55) ntics(7) dcadd(.05)
  translate @Graph mlogplotfig10.wmf, t(Graph2wmf) replace
  * gphprint, nologo saving(mlogplotfig10.wmf,replace)
/*
* mlogview does not work with nonpositive categories
  use nomocc2,clear
* generate varaibles with negative or 0 categories
  gen o1 = occ - 1
  label def l1 0 Menial 1 Blue 2 Craft 3 White 4 Prof
  label val o1 l1
  gen o2 = occ - 2
  label def l2 -1 Menial 0 Blue 1 Craft 2 White 3 Prof
  label val o2 l2
* mlogit on 0-> outcomes
  mlogit o1 white ed exper, basecategory(0) nolog
  prchange
  mlogplot white ed exper, dc std(0ss) p(.1) min(-.25) max(.50) ntics(7)
  translate @Graph mlogplotfig7.wmf,replace)
  mlogit occ white ed exper, basecategory(1) nolog
  prchange
  mlogplot white ed exper, or dc std(0ss) p(.1) /*
  */ base(1) min(-.25) max(.50) ntics(7)
  translate @Graph mlogplotfig8.wmf, t(Graph2wmf) replace
  mlogit o2 white ed exper, basecategory(-1) nolog
  prchange
  mlogplot white ed exper, or dc std(0ss) p(.1) /*
  */ base(-1) min(-.25) max(.50) ntics(7)
  translate @Graph mlogplotfig9.wmf, t(Graph2wmf) replace
*/

log close
