capture log close
set more off
log using praccumverify, text replace
* praccum:      version 1.6.2 1/5/01
* verified:     2/23/01
which praccum

* Note: this is to check if praccum matches results of prvalue.
* It does not check that prvalue is correct.

* cloglog
use binlfp2, clear
gen age2 = age*age
quietly cloglog lfp k5 k618 age age2 wc hc lwg inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* cnreg
use binlfp2, clear
gen age2 = age*age
gen lwgcens = lwg
replace lwgcens = 0 if lwg < 0
replace lwgcens = 2 if lwg > 2
gen censor = 0
replace censor = -1 if lwgcens == 0
replace censor = 1 if lwgcens == 2
quietly cnreg lwgcens lfp k5 k618 age age2 wc hc inc, censor(censor)
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

/*
* gologit
use binlfp2, clear
gen age2 = age*age
gen colboth = ((wc==1)*2) + (hc==1)
recode colboth 0=-6 1=3 2=15 3=59
quietly gologit colboth lfp k5 k618 age age2 lwg inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9
*/

* logit
use binlfp2, clear
gen age2 = age*age
quietly logit lfp k5 k618 age age2 wc hc lwg inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* logit with a long name
use binlfp2, clear
gen age2 = age*age
quietly logit lfp k5 k618 age age2 wc hc lwg inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq_long_name_here)
list agsq* in 1/9

* mlogit
use binlfp2, clear
gen age2 = age*age
gen colboth = ((wc==1)*2) + (hc==1)
recode colboth 0=-6 1=3 2=15 3=59
quietly mlogit colboth lfp k5 k618 age age2 lwg inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* mlogit with base specified
drop agsq*
quietly mlogit colboth lfp k5 k618 age age2 lwg inc, b(3)
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* nbreg
use couart2, clear
gen phd2 = phd*phd
quietly nbreg art fem mar kid5 phd phd2 ment
prvalue, x(phd 1 phd2 1) rest(mean) brief
praccum, saving(mphd) xis(1)
prvalue, x(phd 1.5 phd2 2.25) rest(mean) brief
praccum, using(mphd) xis(1.5)
prvalue, x(phd 2 phd2 4) rest(mean) brief
praccum, using(mphd) xis(2)
prvalue, x(phd 2.5 phd2 6.25) rest(mean) brief
praccum, using(mphd) xis(2.5)
prvalue, x(phd 3 phd2 9) rest(mean) brief
praccum, using(mphd) xis(3)
prvalue, x(phd 3.5 phd2 12.25) rest(mean) brief
praccum, using(mphd) xis(3.5)
prvalue, x(phd 4 phd2 16) rest(mean) brief
praccum, using(mphd) xis(4) gen(phsq)
list phsq* in 1/7

* ologit
use binlfp2, clear
gen age2 = age*age
gen colboth = ((wc==1)*2) + (hc==1)
recode colboth 0=-6 1=3 2=15 3=59
quietly ologit colboth lfp k5 k618 age age2 lwg inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* oprobit
use binlfp2, clear
gen age2 = age*age
gen colboth = ((wc==1)*2) + (hc==1)
recode colboth 0=-6 1=3 2=15 3=59
quietly oprobit colboth lfp k5 k618 age age2 lwg inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* poisson
use couart2, clear
gen phd2 = phd*phd
quietly poisson art fem mar kid5 phd phd2 ment
prvalue, x(phd 1 phd2 1) rest(mean) brief
praccum, saving(mphd) xis(1)
prvalue, x(phd 1.5 phd2 2.25) rest(mean) brief
praccum, using(mphd) xis(1.5)
prvalue, x(phd 2 phd2 4) rest(mean) brief
praccum, using(mphd) xis(2)
prvalue, x(phd 2.5 phd2 6.25) rest(mean) brief
praccum, using(mphd) xis(2.5)
prvalue, x(phd 3 phd2 9) rest(mean) brief
praccum, using(mphd) xis(3)
prvalue, x(phd 3.5 phd2 12.25) rest(mean) brief
praccum, using(mphd) xis(3.5)
prvalue, x(phd 4 phd2 16) rest(mean) brief
praccum, using(mphd) xis(4) gen(phsq)
list phsq* in 1/7

* probit
use binlfp2, clear
gen age2 = age*age
quietly probit lfp k5 k618 age age2 wc hc lwg inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* regress
use binlfp2, clear
gen age2 = age*age
quietly regress lwg lfp k5 k618 age age2 wc hc inc
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* tobit
use binlfp2, clear
gen age2 = age*age
gen lwgcens = lwg
replace lwgcens = 0 if lwg < 0
replace lwgcens = 2 if lwg > 2
gen censor = 0
replace censor = -1 if lwgcens == 0
replace censor = 1 if lwgcens == 2
quietly tobit lwgcens lfp k5 k618 age age2 wc hc inc, ll(0) ul(2)
prvalue, x(age 20 age2 400) rest(mean) brief
praccum, saving(mage) xis(20)
prvalue, x(age 25 age2 625) rest(mean) brief
praccum, using(mage) xis(25)
prvalue, x(age 30 age2 900) rest(mean) brief
praccum, using(mage) xis(30)
prvalue, x(age 35 age2 1225) rest(mean) brief
praccum, using(mage) xis(35)
prvalue, x(age 40 age2 1600) rest(mean) brief
praccum, using(mage) xis(40)
prvalue, x(age 45 age2 2025) rest(mean) brief
praccum, using(mage) xis(45)
prvalue, x(age 50 age2 2500) rest(mean) brief
praccum, using(mage) xis(50)
prvalue, x(age 55 age2 3025) rest(mean) brief
praccum, using(mage) xis(55)
prvalue, x(age 60 age2 3600) rest(mean) brief
praccum, using(mage) xis(60) gen(agsq)
list agsq* in 1/9

* zip
use couart2, clear
gen phd2 = phd*phd
quietly zip art fem mar kid5 phd phd2 ment, inf(fem phd phd2)
prvalue, x(phd 1 phd2 1) rest(mean) brief
praccum, saving(mphd) xis(1)
prvalue, x(phd 1.5 phd2 2.25) rest(mean) brief
praccum, using(mphd) xis(1.5)
prvalue, x(phd 2 phd2 4) rest(mean) brief
praccum, using(mphd) xis(2)
prvalue, x(phd 2.5 phd2 6.25) rest(mean) brief
praccum, using(mphd) xis(2.5)
prvalue, x(phd 3 phd2 9) rest(mean) brief
praccum, using(mphd) xis(3)
prvalue, x(phd 3.5 phd2 12.25) rest(mean) brief
praccum, using(mphd) xis(3.5)
prvalue, x(phd 4 phd2 16) rest(mean) brief
praccum, using(mphd) xis(4) gen(phsq)
list phsq* in 1/7

* zinb
use couart2, clear
gen phd2 = phd*phd
quietly zinb art fem mar kid5 phd phd2 ment, inf(fem mar)
prvalue, x(phd 1 phd2 1) rest(mean) brief
praccum, saving(mphd) xis(1)
prvalue, x(phd 1.5 phd2 2.25) rest(mean) brief
praccum, using(mphd) xis(1.5)
prvalue, x(phd 2 phd2 4) rest(mean) brief
praccum, using(mphd) xis(2)
prvalue, x(phd 2.5 phd2 6.25) rest(mean) brief
praccum, using(mphd) xis(2.5)
prvalue, x(phd 3 phd2 9) rest(mean) brief
praccum, using(mphd) xis(3)
prvalue, x(phd 3.5 phd2 12.25) rest(mean) brief
praccum, using(mphd) xis(3.5)
prvalue, x(phd 4 phd2 16) rest(mean) brief
praccum, using(mphd) xis(4) gen(phsq)
list phsq* in 1/7

log close
