capture log close
set more off
log using praccumverify2, text replace
* praccum:      version 1.6.2 1/5/01
* verified:     2/23/01
which praccum

* Note: this is to check if praccum matches results of prvalue.
* It does not check that prvalue is correct.

* cloglog
use binlfp2, clear
gen age2 = age*age
quietly cloglog lfp k5 k618 age age2 wc hc lwg inc
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* cnreg
use binlfp2, clear
gen age2 = age*age
gen lwgcens = lwg
replace lwgcens = 0 if lwg < 0
replace lwgcens = 2 if lwg > 2
gen censor = 0
replace censor = -1 if lwgcens == 0
replace censor = 1 if lwgcens == 2
quietly cnreg lwgcens lfp k5 k618 age age2 wc hc inc, censor(censor)
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* logit
use binlfp2, clear
gen age2 = age*age
quietly logit lfp k5 k618 age age2 wc hc lwg inc
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* logit with a long name
use binlfp2, clear
gen age2 = age*age
quietly logit lfp k5 k618 age age2 wc hc lwg inc
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* mlogit
use binlfp2, clear
gen age2 = age*age
gen colboth = ((wc==1)*2) + (hc==1)
recode colboth 0=-6 1=3 2=15 3=59
quietly mlogit colboth lfp k5 k618 age age2 lwg inc
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
mat list mage
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* mlogit with base specified
drop agsq*
quietly mlogit colboth lfp k5 k618 age age2 lwg inc, b(3)
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* nbreg
use couart2, clear
gen phd2 = phd*phd
quietly nbreg art fem mar kid5 phd phd2 ment
capture matrix drop mphd
forvalues count = 1(.5)4 {
    local countsq = `count'^2
    prvalue, x(phd `count' phd2 `countsq') rest(mean) brief
    praccum, using(mphd) xis(`count')
}
praccum, using(mphd) gen(phsq)
list phsq* in 1/7

* ologit
use binlfp2, clear
gen age2 = age*age
gen colboth = ((wc==1)*2) + (hc==1)
recode colboth 0=-6 1=3 2=15 3=59
quietly ologit colboth lfp k5 k618 age age2 lwg inc
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* oprobit
use binlfp2, clear
gen age2 = age*age
gen colboth = ((wc==1)*2) + (hc==1)
recode colboth 0=-6 1=3 2=15 3=59
quietly oprobit colboth lfp k5 k618 age age2 lwg inc
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* poisson
use couart2, clear
gen phd2 = phd*phd
quietly poisson art fem mar kid5 phd phd2 ment
capture matrix drop mphd
forvalues count = 1(.5)4 {
    local countsq = `count'^2
    prvalue, x(phd `count' phd2 `countsq') rest(mean) brief
    praccum, using(mphd) xis(`count')
}
praccum, using(mphd) gen(phsq)
list phsq* in 1/7

* probit
use binlfp2, clear
gen age2 = age*age
quietly probit lfp k5 k618 age age2 wc hc lwg inc
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* regress
use binlfp2, clear
gen age2 = age*age
quietly regress lwg lfp k5 k618 age age2 wc hc inc
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* tobit
use binlfp2, clear
gen age2 = age*age
gen lwgcens = lwg
replace lwgcens = 0 if lwg < 0
replace lwgcens = 2 if lwg > 2
gen censor = 0
replace censor = -1 if lwgcens == 0
replace censor = 1 if lwgcens == 2
quietly tobit lwgcens lfp k5 k618 age age2 wc hc inc, ll(0) ul(2)
capture matrix drop mage
forvalues count = 20(5)60 {
    local countsq = `count'^2
    prvalue, x(age `count' age2 `countsq') rest(mean) brief
    praccum, using(mage) xis(`count')
}
praccum, using(mage) gen(agsq)
list agsq* in 1/9

* zip
use couart2, clear
gen phd2 = phd*phd
quietly zip art fem mar kid5 phd phd2 ment, inf(fem phd phd2)
capture matrix drop mphd
forvalues count = 1(.5)4 {
    local countsq = `count'^2
    prvalue, x(phd `count' phd2 `countsq') rest(mean) brief
    praccum, using(mphd) xis(`count')
}
praccum, using(mphd) gen(phsq)
list phsq* in 1/7

* zinb
use couart2, clear
gen phd2 = phd*phd
quietly zinb art fem mar kid5 phd phd2 ment, inf(fem mar)
capture matrix drop mphd
forvalues count = 1(.5)4 {
    local countsq = `count'^2
    prvalue, x(phd `count' phd2 `countsq') rest(mean) brief
    praccum, using(mphd) xis(`count')
}
praccum, using(mphd) gen(phsq)
list phsq* in 1/7

log close
