capture log close
set more off
log using prgenverify, text replace
* prgen: version 1.6.0
* verified: 3/25/01
which prgen
use gsstestdata, clear

* logit and logistic
qui logit feminist age educ lesbian liberal
set trace off
prgen age, x(lesbian 0 educ 12) from(30) to(70) g(logit)
su logit*
qui logit feminist age educ lesbian liberal
set trace off
prgen age, x(lesbian 0 educ 12) from(30) to(70) g(lstic)
su lstic*

* probit
qui probit feminist age educ lesbian liberal
prgen educ, x(age 40) rest(mean) g(probi)
su probi*

* cloglog
qui cloglog feminist age educ lesbian liberal
prgen age, x(lesbian 1) rest(grmean) g(clogl)
su clogl*

* ologit
qui ologit mchilds age educ lesbian liberal
prgen age, x(age max educ min) g(ologi)
su ologi*
    * check unusual values
recode irchilds 0=-3
qui ologit irchilds age educ lesbian liberal
prgen age, x(age max educ min) g(olog2)
su olog2*

* oprobit
qui oprobit mchilds age educ lesbian liberal
prgen age, x(age mean educ 12) rest(upper) g(oprob)
su oprob*

* mlogit
qui mlogit mchilds age educ lesbian liberal
prgen age, x(liberal 4 educ 12) g(mlogi)
su mlogi*
    * check unusual values
qui mlogit irchilds age educ lesbian liberal
prgen age, x(age max educ min) g(mlog2)
su mlog2*

* poisson
qui poisson ctchilds age educ lesbian liberal feminist
prgen liberal, x(age 40 educ 12) g(poiss)
su poiss*

* nbreg
qui nbreg ctchilds age educ lesbian liberal
prgen liberal, x(age 40 educ 12 liberal 3) g(nbreg)
su nbreg*

* zip
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prgen liberal, x(age 40 educ median faminc 45) g(zip1)
su zip1*

qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prgen liberal, x(age 40 educ median faminc 45) g(zip2) maxcnt(12)
su zip2*

* zinb
qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prgen faminc, x(age 40 educ 12 faminc 45) g(zinb1)
su zinb1*

qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prgen liberal, x(age 40 educ median faminc 45) g(zinb2) maxcnt(6) from(3) to(6)
su zinb2*

use nels_censored2, clear
*make variable for tobit

qui tobit tobiscor bymomed bydaded byincome black hispanic pctlunch, ul(125) ll(75)
prgen byincome, x(bymomed 3 black 1) rest(grmedian) g(tobit)
su tobit*

qui regress realscor bymomed bydaded byincome black hispanic pctlunch
prgen pctlunch, x(bymomed 3 black 1) rest(grmean) g(regr1)
su regr1*

qui cnreg testscor bymomed bydaded byincome black hispanic pctlunch, censored(censor)
prgen byincome, x(bymomed 3 black 1) g(cnreg)
su cnreg*

qui intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch
prgen pctlunch, x(bymomed 3 black 1) rest(max) g(intre)
su intre*

use couart2, clear
quietly poisson art fem mar kid5 phd ment, nolog
prgen ment, gen(prm) n(10)
sum prm*
use couart2, clear
quietly nbreg art fem mar kid5 phd ment, nolog
prgen ment, gen(nbrm) n(10)
sum nbrm*
use couart2, clear
quietly zip art fem mar kid5 phd ment, inf(fem mar kid5 phd ment) nolog
prgen ment, gen(zip) n(10)
sum zip*
use couart2, clear
quietly zinb art fem mar kid5 phd ment, inf(fem mar kid5 phd ment) nolog
prgen ment, gen(zinb) n(10)
sum zinb*

** test long names
use gsstestdata.dta, clear
rename feminist feminist_stupid_long_name_femini
rename age      age_stupid_long_name_age_xxxxxxx
rename educ     educ_stupid_long_name_educ_xxxxx
rename lesbian  lesbian_stupid_long_name_lesbian
rename liberal  liberal_stupid_long_name_liberal
rename faminc   faminc_stupid_long_name_famincxx

qui logit feminist age educ lesbian liberal
set trace off
prgen age, x(lesbian 0 educ 12) from(30) to(70) g(logit_long_variable_name)
su logit*

qui ologit mchilds age educ lesbian liberal
prgen age, x(age max educ min) g(ologi_long_variable_name)
su ologi*

qui mlogit mchilds age educ lesbian liberal
prgen age, x(liberal 4 educ 12) g(mlogi_long_variable_name)
su mlogi*

qui nbreg ctchilds age educ lesbian liberal
prgen liberal, x(age 40 educ 12 liberal 3) g(nbreg_long_variable_name)
su nbreg*

qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prgen faminc, x(age 40 educ 12 faminc 45) g(zinb1_long_variable_name)
su zinb1*

use nels_censored2, clear

rename bymomed bymomed_stupid_long_name_bymomed
rename black black_stupid_long_name_black

qui tobit tobiscor bymomed bydaded byincome black hispanic pctlunch, ul(125) ll(75)
prgen byincome, x(bymomed 3 black 1) rest(grmedian) g(tobit_long_variable_name)
su tobit*

qui intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch
prgen pctlunch, x(bymomed 3 black 1) rest(max) g(intre_long_variable_name)
su intre*

log close
