capture log close
set more off
log using prgenverify6, replace
* prgen: version 1.6.0
* verified: 3/25/01
which prgen
use gsstestdata, clear

* logit and logistic
qui logit feminist age educ lesbian liberal
set trace off
prgen age, x(lesbian 0 educ 12) from(30) to(70) g(logit)
su logit*
qui logit feminist age educ lesbian liberal
set trace off
prgen age, x(lesbian 0 educ 12) from(30) to(70) g(lstic)
su lstic*

* probit
qui probit feminist age educ lesbian liberal
prgen educ, x(age 40) rest(mean) g(probi)
su probi*

* cloglog
qui cloglog feminist age educ lesbian liberal
prgen age, x(lesbian 1) rest(grmean) g(clogl)
su clogl*

* ologit
qui ologit mchilds age educ lesbian liberal
prgen age, x(age max educ min) g(ologi)
su ologi*
    * check unusual values
recode irchilds 0=-3
qui ologit irchilds age educ lesbian liberal
prgen age, x(age max educ min) g(olog2)
su olog2*

* oprobit
qui oprobit mchilds age educ lesbian liberal
prgen age, x(age mean educ 12) rest(upper) g(oprob)
su oprob*

* mlogit
qui mlogit mchilds age educ lesbian liberal
prgen age, x(liberal 4 educ 12) g(mlogi)
su mlogi*
    * check unusual values
qui mlogit irchilds age educ lesbian liberal
prgen age, x(age max educ min) g(mlog2)
su mlog2*

* poisson
qui poisson ctchilds age educ lesbian liberal feminist
prgen liberal, x(age 40 educ 12) g(poiss)
su poiss*

* nbreg
qui nbreg ctchilds age educ lesbian liberal
prgen liberal, x(age 40 educ 12 liberal 3) g(nbreg)
su nbreg*

* zip
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prgen liberal, x(age 40 educ median faminc 45) g(zip1)
su zip1*

qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prgen liberal, x(age 40 educ median faminc 45) g(zip2) maxcnt(12)
su zip2*

* zinb
qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prgen faminc, x(age 40 educ 12 faminc 45) g(znb1)
su znb1*

qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prgen liberal, x(age 40 educ median faminc 45) g(znb2) maxcnt(6) from(3) to(6)
su znb2*

use nels_censored2, clear
*make variable for tobit

qui tobit tobiscor bymomed bydaded byincome black hispanic pctlunch, ul(125) ll(75)
prgen byincome, x(bymomed 3 black 1) rest(grmedian) g(tobit)
su tobit*

qui regress realscor bymomed bydaded byincome black hispanic pctlunch
prgen pctlunch, x(bymomed 3 black 1) rest(grmean) g(regr1)
su regr1*

qui cnreg testscor bymomed bydaded byincome black hispanic pctlunch, censored(censor)
prgen byincome, x(bymomed 3 black 1) g(cnreg)
su cnreg*

qui intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch
prgen pctlunch, x(bymomed 3 black 1) rest(max) g(intre)
su intre*

use couart2, clear
quietly poisson art fem mar kid5 phd ment, nolog
prgen ment, gen(prm) n(10)
sum prm*
use couart2, clear
quietly nbreg art fem mar kid5 phd ment, nolog
prgen ment, gen(nbrm) n(10)
sum nbrm*
use couart2, clear
quietly zip art fem mar kid5 phd ment, inf(fem mar kid5 phd ment) nolog
prgen ment, gen(zip) n(10)
sum zip*
use couart2, clear
quietly zinb art fem mar kid5 phd ment, inf(fem mar kid5 phd ment) nolog
prgen ment, gen(zinb) n(10)
sum zinb*

log close
