capture log close
set more off
log using prtabverify, text replace
* prtab: version 1.5.10
* verified: 3/24/01
which prtab
use gsstestdata, clear

* logit and logistic
qui logit feminist age educ lesbian liberal
prtab lesbian liberal, x(age 40 educ 12) base
prtab lesbian, x(age 40 educ 12)
qui logistic feminist age educ lesbian liberal
prtab lesbian, x(age 40 educ 12)

* probit
qui probit feminist age educ lesbian liberal
prtab lesbian liberal, x(age lower educ upper) rest(mean) base

* cloglog
qui cloglog feminist age educ lesbian liberal
prtab lesbian liberal, x(age 40) rest(grmean) base

* ologit
qui ologit mchilds age educ lesbian liberal
prtab lesbian liberal, x(age max educ min)
prtab lesbian, x(age max educ min)

* oprobit
qui ologit mchilds age educ lesbian liberal
prtab lesbian liberal, x(age max educ min) outcome(2) base

* oprobit
qui oprobit mchilds age educ lesbian liberal
prtab lesbian liberal, x(age mean educ 12) rest(upper) base

* mlogit
qui mlogit mchilds age educ lesbian liberal
prtab lesbian educ, x(liberal 4 educ 12)
prtab lesbian, outcome(3)

* poisson
qui poisson ctchilds age educ lesbian liberal feminist
prtab feminist lesbian, x(age 40 educ 12) by(liberal) base
prtab lesbian, x(age 40 educ 12) base
qui poisson ctchilds age educ lesbian liberal feminist
prtab feminist lesbian, x(age 40 educ 12) by(liberal) outcome(4)

* nbreg
qui nbreg ctchilds age educ lesbian liberal
prtab liberal lesbian, x(age 40 educ 12 liberal 3) base
qui nbreg ctchilds age educ lesbian liberal
prtab liberal lesbian, x(age 40 educ 12 liberal 3) outcome(1)

* zip
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prtab lesbian liberal, x(age 40 educ median faminc 45) base
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prtab lesbian liberal, x(age 40 educ median faminc 45) outcome(0)
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prtab faminc liberal, x(age 40 educ median faminc 45) by(lesbian)

* zinb
qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prtab faminc lesbian, x(age 40 educ 12 faminc 45) by(liberal)
qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prtab liberal lesbian, x(age 40 educ median faminc 45) outcome(2) base
prtab lesbian, x(age 40 educ median faminc 45) outcome(2) base

* regress
use nels_censored2, clear
qui regress realscor bymomed bydaded byincome black hispanic pctlunch
prtab black bymomed, x(bymomed 3 black 1) rest(grmean) base

*censored data models -- tobit, cnreg, intreg
qui tobit tobiscor bymomed bydaded byincome black hispanic pctlunch, ul(125) ll(75)
set trace off
prtab bymomed bydaded black, x(bymomed 3 black 1) rest(grmedian) base

qui cnreg testscor bymomed bydaded byincome black hispanic pctlunch, censored(censor)
prtab black byincome, x(bymomed 3 black 1) base

qui intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch
prtab black bymomed bydaded, x(bymomed 3 black 1) rest(max) base

** check that it handles unusual category values
use gsstestdata.dta, clear
qui mlogit ngchilds age educ lesbian liberal
prtab lesbian liberal, outcome(78)

** test long names
use gsstestdata.dta, clear
rename feminist feminist_stupid_long_name_femini
rename age      age_stupid_long_name_age_xxxxxxx
rename educ     educ_stupid_long_name_educ_xxxxx
rename lesbian  lesbian_stupid_long_name_lesbian
rename liberal  liberal_stupid_long_name_liberal
rename faminc   faminc_stupid_long_name_famincxx

qui logit feminist age educ lesbian liberal
prtab lesbian liberal, x(age 40 educ 12)

qui ologit mchilds age educ lesbian liberal
prtab lesbian liberal, x(age max educ min)

qui mlogit mchilds age educ lesbian liberal
prtab lesbian educ, x(liberal 4 educ 12)

qui nbreg ctchilds age educ lesbian liberal
prtab liberal lesbian, x(age 40 educ 12 liberal 3)

qui nbreg ctchilds age educ lesbian liberal
prtab liberal lesbian, x(age 40 educ 12 liberal 3) outcome(1)

qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prtab lesbian liberal, x(age 40 educ median faminc 45)

qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prtab lesbian liberal, x(age 40 educ median faminc 45) outcome(0)

qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prtab faminc lesbian, x(age 40 educ 12 faminc 45) by(liberal)

use nels_censored2, clear
rename bymomed bymomed_stupid_long_name_bymomed
rename bydaded bydaded_stupid_long_name_bydaded
rename black black_stupid_long_name_black

qui tobit tobiscor bymomed bydaded byincome black hispanic pctlunch, ul(125) ll(75)
set trace off
prtab bymomed bydaded black, x(bymomed 3 black 1) rest(grmedian)

qui intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch
prtab black bymomed bydaded, x(bymomed 3 black 1) rest(max)

log close
