capture log close
set more off
log using prtabverify6, replace
* prtab: version 1.5.10
* verified: 3/24/01
which prtab
use gsstestdata, clear

* logit and logistic
qui logit feminist age educ lesbian liberal
prtab lesbian liberal, x(age 40 educ 12) base
prtab lesbian, x(age 40 educ 12)
qui logistic feminist age educ lesbian liberal
prtab lesbian, x(age 40 educ 12)

* probit
qui probit feminist age educ lesbian liberal
prtab lesbian liberal, x(age lower educ upper) rest(mean) base

* cloglog
qui cloglog feminist age educ lesbian liberal
prtab lesbian liberal, x(age 40) rest(grmean) base

* ologit
qui ologit mchilds age educ lesbian liberal
prtab lesbian liberal, x(age max educ min)
prtab lesbian, x(age max educ min)

* oprobit
qui ologit mchilds age educ lesbian liberal
prtab lesbian liberal, x(age max educ min) outcome(2) base

* oprobit
qui oprobit mchilds age educ lesbian liberal
prtab lesbian liberal, x(age mean educ 12) rest(upper) base

* mlogit
qui mlogit mchilds age educ lesbian liberal
prtab lesbian educ, x(liberal 4 educ 12)
prtab lesbian, outcome(3)

* poisson
qui poisson ctchilds age educ lesbian liberal feminist
prtab feminist lesbian, x(age 40 educ 12) by(liberal) base
prtab lesbian, x(age 40 educ 12) base
qui poisson ctchilds age educ lesbian liberal feminist
prtab feminist lesbian, x(age 40 educ 12) by(liberal) outcome(4)

* nbreg
qui nbreg ctchilds age educ lesbian liberal
prtab liberal lesbian, x(age 40 educ 12 liberal 3) base
qui nbreg ctchilds age educ lesbian liberal
prtab liberal lesbian, x(age 40 educ 12 liberal 3) outcome(1)

* zip
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prtab lesbian liberal, x(age 40 educ median faminc 45) base
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prtab lesbian liberal, x(age 40 educ median faminc 45) outcome(0)
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prtab faminc liberal, x(age 40 educ median faminc 45) by(lesbian)

* zinb
qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prtab faminc lesbian, x(age 40 educ 12 faminc 45) by(liberal)
qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prtab liberal lesbian, x(age 40 educ median faminc 45) outcome(2) base
prtab lesbian, x(age 40 educ median faminc 45) outcome(2) base

* regress
use nels_censored2, clear
qui regress realscor bymomed bydaded byincome black hispanic pctlunch
prtab black bymomed, x(bymomed 3 black 1) rest(grmean) base

*censored data models -- tobit, cnreg, intreg
qui tobit tobiscor bymomed bydaded byincome black hispanic pctlunch, ul(125) ll(75)
set trace off
prtab bymomed bydaded black, x(bymomed 3 black 1) rest(grmedian) base

qui cnreg testscor bymomed bydaded byincome black hispanic pctlunch, censored(censor)
prtab black byincome, x(bymomed 3 black 1) base

qui intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch
prtab black bymomed bydaded, x(bymomed 3 black 1) rest(max) base

** check that it handles unusual category values
use gsstestdata.dta, clear
qui mlogit ngchilds age educ lesbian liberal
prtab lesbian liberal, outcome(78)

log close
