capture log close
set more off
log using prvalueverify6, replace
* prvalue: version 1.8.5
* verified:  3/24/01
which prvalue

use gsstestdata.dta, clear
** CHECK VALUES OF LOGIT AGAINST VALUES GENERATED BY PREDICT

*compare to values of 10th observation (arbitrarily chosen)
qui logit feminist age educ lesbian liberal
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(1) = .47830224

qui probit feminist age educ lesbian liberal
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(1) = .46891975

qui cloglog feminist age educ lesbian liberal
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(1) = .49501412

qui ologit mchilds age educ lesbian liberal
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(y=1) = .2168871

qui oprobit mchilds age educ lesbian liberal
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(y=1) = .21415542

qui mlogit mchilds age educ lesbian liberal
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(y=1) = .17974102

qui poisson ctchilds age educ lesbian liberal
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(rate) = 1.5685786
** check against p(y=0) = .208  (calculated using XPost)
** check against p(y=1) = .327  (calculated using XPost)

qui nbreg ctchilds age educ lesbian liberal
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(rate) = 1.5679215
** check against p(y=0) = .218  (calculated using XPost)
** check against p(y=1) = .323  (calculated using XPost)

qui zip zchilds age educ lesbian liberal, inf(age educ lesbian liberal)
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(always0) = .62808502
** check against p(rate) = .35220292

qui zinb zchilds age educ lesbian liberal, inf(age educ lesbian liberal)
prvalue, x(age 53 educ 16 lesbian 0 liberal 5)
** check against p(always0) = .13187279
** check against p(rate) = .4790189

use nels_censored2, clear
qui tobit tobiscor bymomed bydaded black hispanic, ul(125) ll(75)
prvalue, x(bymomed 3 bydaded 4 black 0 hispanic 0)
** check against y* = 106.72874

qui cnreg testscor bymomed bydaded black hispanic, censored(censor)
prvalue, x(bymomed 3 bydad 4 black 0 hispanic 0)
    capture drop checkvar
    qui predict checkvar in 12
    di checkvar[12]
** check against y* = 106.45174

qui reg realscor bymomed bydaded black hispanic
prvalue, x(bymomed 3 bydad 4 black 0 hispanic 0)
    capture drop checkvar
    qui predict checkvar in 12
    di checkvar[12]
** check against y = 106.40057

qui intreg minscor maxscor bymomed bydaded black hispanic
prvalue, x(bymomed 3 bydad 4 black 0 hispanic 0)
    capture drop checkvar
    qui predict checkvar in 12
    di checkvar[12]
** check against y = 106.45552

** OTHER PERMUTATIONS OF PRVALUE TO CHECK THAT IT DOESN'T CRASH

use gsstestdata.dta, clear

*logit and logistic
qui logit feminist age educ lesbian liberal
prvalue, x(age 40 educ 12) save
qui logit feminist age educ lesbian liberal faminc
prvalue, x(age 40 educ 12) dif
qui logistic feminist age educ lesbian liberal
prvalue, x(age 40 educ 12) save
qui logistic feminist age educ lesbian liberal faminc
prvalue, x(age 40 educ 12) dif

*probit
qui probit feminist age educ lesbian liberal
prvalue, x(age 40 educ max) rest(median) save
qui probit feminist age educ lesbian liberal
prvalue, x(age 40 educ max) rest(mean) dif

*cloglog
qui cloglog feminist age educ lesbian liberal
prvalue, rest(upper) save
qui cloglog feminist age educ lesbian liberal
prvalue, rest(lower) dif

*ologit
qui ologit mchilds age educ lesbian liberal
prvalue, x(age max educ min) save
qui ologit mchilds age educ lesbian liberal faminc
prvalue, x(age max educ min) dif

*oprobit
qui oprobit mchilds age educ lesbian liberal
prvalue, x(age mean educ 12) rest(upper) save
qui oprobit mchilds age educ lesbian liberal faminc
prvalue, x(age mean educ 12) rest(upper) dif

*mlogit
qui mlogit mchilds age educ lesbian liberal
prvalue, x(age 40 educ 12) save
qui mlogit mchilds age educ lesbian liberal faminc
prvalue, x(age 40 educ 12 liberal 5) dif

*poisson
qui poisson ctchilds age educ lesbian liberal
prvalue, x(age 40 educ 12 liberal 4) save maxcnt(7)
qui poisson ctchilds age educ lesbian liberal feminist
prvalue, x(age 40 educ 12 liberal 2) dif maxcnt(7)

*nbreg
qui nbreg ctchilds age educ lesbian liberal
prvalue, x(age 40 educ 12 liberal 3) save
qui nbreg ctchilds age educ lesbian liberal feminist
prvalue, x(age 40 educ 12 liberal 7) dif

*zip
qui zip zchilds age educ lesbian liberal, inf(age faminc liberal)
prvalue, x(age 40 educ median faminc 45) save
qui zip zchilds age educ lesbian liberal, inf(age educ faminc)
prvalue, x(age max educ 12 faminc mean) dif

*zinb
qui zinb zchilds age educ lesbian liberal, inf(age educ faminc)
prvalue, x(age 40 educ 12 faminc 45) save
prvalue, x(age 40 educ 12 faminc 60) dif

use nels_censored2, clear

*tobit
qui tobit tobiscor bymomed bydaded byincome black hispanic pctlunch, ul(125) ll(75)
prvalue, x(bymomed 3 black 1) rest(grmedian) save
prvalue, x(bymomed 3 black 0) rest(grmedian) dif

*cnreg
qui cnreg testscor bymomed bydaded byincome black hispanic pctlunch, censored(censor)
prvalue, x(bymomed 3 black 1) save
qui cnreg testscor bymomed bydaded byincome black hispanic pctlunch, censored(censor)
prvalue, x(bymomed 3 black 1 hispanic 1) rest(min) dif

*intreg
qui intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch
prvalue, x(bymomed 3 black 1) rest(max) save
qui intreg minscor maxscor bymomed bydaded byincome black hispanic pctlunch
prvalue, x(bymomed 3 black 1) rest(min) dif

*regress
qui regress realscor bymomed bydaded byincome black hispanic pctlunch
prvalue, x(bymomed 3 black 1) rest(grmean) save
qui regress realscor bymomed bydaded byincome black hispanic pctlunch pctminor
prvalue, x(bymomed 3 black 1) rest(grmean) dif

* CHECK THAT BRIEF COMMAND WORKS

use gsstestdata.dta, clear

qui logit feminist age educ lesbian liberal
prvalue, x(age 40 educ 12) brief save
qui logit feminist age educ lesbian liberal faminc
prvalue, x(age 40 educ 12) brief dif
qui ologit mchilds age educ lesbian liberal
prvalue, x(age max educ min) brief save
qui ologit mchilds age educ lesbian liberal faminc
prvalue, x(age max educ min) brief dif
qui mlogit mchilds age educ lesbian liberal
prvalue, x(age 40 educ 12) brief save
qui mlogit mchilds age educ lesbian liberal faminc
prvalue, x(age 40 educ 12 liberal 5) brief dif
qui poisson ctchilds age educ lesbian liberal
prvalue, x(age 40 educ 12 liberal 4) brief save maxcnt(7)
qui poisson ctchilds age educ lesbian liberal feminist
prvalue, x(age 40 educ 12 liberal 2) brief dif maxcnt(7)

log close
